body.homepage {
    padding-top: 0 !important;
}

.homepage-container {
    overflow: hidden;
}

.homepage-banner {
    height: 100vh;
    display: flex;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    background-color: @text-muted;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    margin-bottom: @grid-gutter-width*2;
    @media (max-width: 550px) {
        height: calc(120px + 566px);
    }

    &::before {
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 50%;
        background-image: linear-gradient(
            0deg,
            hsla(0, 0%, 35.29%, 0) 0%,
            hsla(0, 0%, 34.53%, 0.034375) 16.36%,
            hsla(0, 0%, 32.42%, 0.125) 33.34%,
            hsla(0, 0%, 29.18%, 0.253125) 50.1%,
            hsla(0, 0%, 24.96%, 0.4) 65.75%,
            hsla(0, 0%, 19.85%, 0.546875) 79.43%,
            hsla(0, 0%, 13.95%, 0.675) 90.28%,
            hsla(0, 0%, 7.32%, 0.765625) 97.43%,
            hsla(0, 0%, 0%, 0.8) 100%
        );
    }

    &__box {
        width: 100%;
        max-width: 500px;
        position: absolute;
        top: 170px;
        bottom: 150px;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: 50% 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        border: 1px solid @border-color;
        padding: @grid-gutter-width*1.5;
        z-index: 2;

        @media (max-width: 550px) {
            width: auto;
            padding: 0;
            left: @grid-gutter-width*2;
            right: @grid-gutter-width*2;
            top: 233px;
            bottom: 100px;
            justify-content: stretch;
        }
    }

    &__btn-wrapper {
        @media (max-width: 550px) {
            position: absolute;
            left: -@grid-gutter-width/2;
            right: -@grid-gutter-width/2;
            .btn-lg-vertical{
                font-size: 14px;
                padding-bottom: 17px;
                padding-top: 17px;
                line-height: 18px;
            }
        }
    }

    img {
        object-fit: cover;
        width: 100%;
        height: auto;
    }

    &__corner-text {
        position: absolute;
        bottom: 25px;
        right: 25px;
        color: #fff;
        text-align: right;
        z-index: 1;

        h2 {
            font-size: 120px;
            line-height: 100px;
            margin: 0;

            div {
                letter-spacing: .125em;
            }

            span {
                font-weight: 200;
            }
        }

        @media (max-width: @screen-md-max) {
            display: none;
        }
    }
}

.homepage-fullheight-image-section {
    margin: @grid-gutter-width*1.5 0;

    .flex-row {
        display: flex;
        flex-wrap: wrap;

        @media (min-width: @screen-md-min) {
            padding: @grid-gutter-width 0;
            height: 90vh;
        }
    }

    &__image-col {
        flex: 1 1 0%;
        background-size: cover;
        background-position: 50%;
        display: none;
        border: 1px solid @border-color;

        @media (min-width: @screen-md-min) {
            display: flex;
        }
    }

    &__text-col {
        flex: 1 1 0%;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        align-items: center;
        justify-content: center;
        text-align: center;

        @media (min-width: @screen-md-min) {
            padding: @grid-gutter-width*1.5;
        }

        h2 {
            line-height: 24px;
            @media (min-width: @screen-md-min) {
                line-height: 56px;
            }
        }

        p {
            max-width: 500px;
        }
    }

    &__mobile-image {
        margin-left: -@grid-gutter-width/2;
        margin-right: -@grid-gutter-width/2;

        @media (min-width: @screen-md-min) {
            margin-left: -@grid-gutter-width;
            margin-right: -@grid-gutter-width;
        }

        img {
            width: 100%;
            max-width: 100%;
            height: auto;
        }
    }
}

.homepage-three-square-images-section {
    margin: @grid-gutter-width*1.5 0;

    .col {
        margin-bottom: @grid-gutter-width;
    }

    &__lift {
        position: relative;
        border: 1px solid @border-color;
        background-size: cover;
        background-position: 50%;

        &::before {
            content: "";
            padding-top: 100%;
            display: block;
        }
    }

    &__button-container {
        position: absolute;
        bottom: @grid-gutter-width;
        left: @grid-gutter-width;
        right: @grid-gutter-width;
    }
}

.homepage-giftcard-newsletter {
    margin: @grid-gutter-width*1.5 0;

    .flex-row {
        display: flex;
        flex-wrap: wrap;
        margin-left: -@grid-gutter-width/2;
        margin-right: -@grid-gutter-width/2;
    }

    .col {
        padding: @grid-gutter-width/2;
        flex: 1 1 0%;
        display: flex;
        overflow: hidden;

        @media (max-width: @screen-sm-max) {
            flex-basis: 100%;
        }
    }

    &__giftcard,
    &__newsletter {
        width: 100%;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
        padding: @grid-gutter-width*1.5;
        text-align: center;
    }

    &__giftcard {
        background-size: cover;
        background-position: 50%;

        img {
            max-width: 170px;
            width: 100%;
            height: auto;
            margin-bottom: @grid-gutter-width*1.5;
        }
    }

    &__newsletter {
        background-color: #000;
        color: #fff;
    }

    &__newsletter-input-wrapper {
        margin: @grid-gutter-width 0;
        position: relative;
        width: 100%;

        .fa {
            position: absolute;
            left: 0;
            top: 8px;
            width: 30px;
            text-align: center;
            margin-top: 2px;
        }

        input {
            width: 100%;
            padding: @grid-gutter-width/3 @grid-gutter-width/3 @grid-gutter-width/3 @grid-gutter-width*1.5;
            border: solid #fff;
            border-width: 0 0 1px 0;
            background: none;
        }
    }

    &__btn-wrapper {
        width: 100%;
        margin: 0 auto;

        @media (min-width: @screen-sm-min) {
            max-width: 70%;
        }
    }

    h3 {
        font-weight: 800;
    }
}

.homepage-sdg-section {
    margin: @grid-gutter-width*1.5 0;

    @media (min-width: @screen-sm-min) {
        padding: @grid-gutter-width*3 0;
    }

    h2 {
        margin-bottom: @grid-gutter-width;
    }

    p.lead {
        margin-bottom: @grid-gutter-width;
        text-transform: uppercase;
    }
}

.homepage-scattered-images-section {
    margin: @grid-gutter-width 0;

    @media (min-width: @screen-sm-min) {
        padding: @grid-gutter-width*3 0;
    }

    img {
        width: 100%;
        height: auto;
    }

    &__image-row {
        display: flex;
        justify-content: stretch;

        @media (max-width: @screen-sm-max) {
            display: none;
        }
    }

    &__image {
        display: flex;

        &.image_1 {
            align-self: center;
            justify-self: stretch;

            .homepage-scattered-images-section__image-wrapper {
                max-width: 410px;
            }
        }

        &.image_2 {
            align-self: flex-end;
            margin-bottom: @grid-gutter-width*2.5;
            margin-left: @grid-gutter-width*4;
            margin-right: @grid-gutter-width*2;
            justify-self: flex-start;
            flex-grow: 1;

            .homepage-scattered-images-section__image-wrapper {
                max-width: 175px;
            }
        }

        &.image_3 {
            align-self: flex-end;
            margin-bottom: @grid-gutter-width*1.5;
            justify-content: flex-end;

            .homepage-scattered-images-section__image-wrapper {
                max-width: 325px;
            }
        }

        &.image_4 {
            align-self: flex-start;
            transform: translateY(-100px);
            margin-left: @grid-gutter-width*3;

            .homepage-scattered-images-section__image-wrapper {
                max-width: 220px;
            }
        }

        &.image_5 {
            align-self: flex-start;
            justify-content: flex-end;
            flex-grow: 1;
            margin-right: @grid-gutter-width*2;
            margin-left: @grid-gutter-width*2;

            .homepage-scattered-images-section__image-wrapper {
                max-width: 280px;
            }
        }

        &.image_6 {
            align-self: flex-start;
            margin-right: @grid-gutter-width;
            transform: translateY(-30px);

            @media (min-width: @screen-lg-min) {
                transform: translateY(-100px);
            }

            .homepage-scattered-images-section__image-wrapper {
                max-width: 380px;
            }
        }
    }

    &__image-wrapper {
        position: relative;
        border: 1px solid @border-color;

        &.on-hover {
            &:hover {
                svg {
                    visibility: hidden;
                }

                img {
                    visibility: visible;
                }
            }

            svg {
                position: absolute;
                left: 0;
                top: 0;
                bottom: 0;
                right: 0;
            }

            img {
                visibility: hidden;
            }
        }
    }

    &__button-container {
        position: relative;

        a {
            @media (max-width: @screen-sm-max) {
                position: absolute;
                left: @grid-gutter-width;
                bottom: 0;
                right: @grid-gutter-width;
                z-index: 2;
            }
        }
    }
}
